<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_shibboleth', language 'my', version '4.4'.
 *
 * @package     auth_shibboleth
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['auth_shib_auth_logo'] = 'Authentication method logo';
$string['auth_shib_auth_logo_description'] = 'သင်၏သုံးစွဲသူများနှင် ရင်းနှီးကျွမ်းဝင်ပြီးသားဖြစ်သည့် Shibboleth authentication နည်းလမ်းအတွက် logo စီစဉ်ထားသည်။ ဤသည်မှာ သင်၏ Shibboleth federation အတွက် logo ဖြစ်နိုင်သည်၊ ဥပမာ <tt>SWITCHaai Login</tt> or <tt>InCommon Login</tt>  သို့မဟုတ် အလားတူဖြစ်နိုင်သည်။';
$string['auth_shib_auth_method'] = 'Authentication method name';
$string['auth_shib_auth_method_description'] = 'သင်၏သုံးစွဲသူများနှင့် ရင်းနှီးကျွမ်းဝင်ပြီးသားဖြစ်သည့် Shibboleth authentication နည်းလမ်းအတွက် name စီစဉ်ထားသည်။ ဤသည်မှာ သင်၏ Shibboleth federation အတွက် name ဖြစ်နိုင်သည်၊ ဥပမာ <tt>SWITCHaai Login</tt> သို့မဟုတ် <tt>InCommon Login</tt> သို့မဟုတ် အလားတူဖြစ်နိုင်သည်။';
$string['auth_shib_changepasswordurl'] = 'Password-change URL';
$string['auth_shib_contact_administrator'] = 'သင့်အနေဖြင့် ဖော်ပြပါ အဖွဲ့အစည်းများနှင့် ဆက်နွယ်မှုမရှိသော်လည်း ဤ server ရှိ သင်ရိုးများသို့ ဝင်ရောက်ရန်လိုအပ်လျှင် <a href="mailto:{$a}">Moodle Administrator</a> သို့ ကျေးဇူးပြု၍ ဆက်သွယ်ပါ။';
$string['auth_shib_convert_data'] = 'Data modification API';
$string['auth_shib_convert_data_description'] = 'ဤ API ကို Shibboleth မှစီစဉ်ထားသောအချက်အလက်အား ပြင်ဆင်မွမ်းမံရန်အတွက် အသုံးပြုနိုင်ပါသည်။ နောက်ထပ်ညွှန်ကြားချက်များအတွက် <a href="{$a}">README</a> ကိုဖတ်ပါ။';
$string['auth_shib_convert_data_filepath_warning'] = 'သင်သည် လက်ရှိ ဆိုက်အချက်အလက်လမ်းညွှန် ($CFG->dataroot) တွင်တည်ရှိသော ဖိုင်အား  data modification API ကဲ့သို့အသုံးပြု၍မရပါ။';
$string['auth_shib_convert_data_warning'] = 'Webserver ဖြင့် ဆောင်ရွက်နေသည့် ဖိုင် မရှိပါ သို့မဟုတ် ဖွင့်၍မရပါ!';
$string['auth_shib_idp_list'] = 'Identity providers';
$string['auth_shib_idp_list_description'] = 'လော့ဂ်အင်ဝင်ရောက်ရန် စာမျက်နှာပေါ်တွင် သုံးစွဲသူမှ ရွေးချယ်နိုင်ရန် Identity Provider entityIDs  စာရင်းအား ဖြည့်သွင်းပါ။ <br /> စာကြောင်းတိုင်းတွင် IdP ၏ entityID အတွက် tuple အား ကော်မာဖြင့် ခြားထားရန် (Shibboleth metadata file အား ကြည့်ရှုရန်) နှင့် drop-down စာရင်းတွင်လည်း IdP ၏ name အား ဖော်ပြထားရန်လိုအပ်သည်။ <br />အကယ်၍ သင်၏ Moodle installation သည် multi federation setup ၏ တစ်စိတ်တစ်ပိုင်းဖြစ်ခဲ့ပါက Optional third parameter ကဲ့သို့  Shibboleth session initiator ၏ တည်နေရာအား ထည့်သွင်းနိုင်သည်။';
$string['auth_shib_instructions'] = 'သင့် institution မှလက်ခံပါက <a href="{$a}">Shibboleth login</a> သုံး၍ Shibboleth မှတဆင့် ဝင်ရောက်နိုင်သည်။ သို့မဟုတ်ပါက ဤနေရာတွင် ဖော်ပြထားသည့် ပုံမှန်  login အား အသုံးပြုရန်။';
$string['auth_shib_instructions_help'] = 'သင်၏ သုံးစွဲသူများအား Shibboleth အား ရှင်းပြရန်အတွက် သင်သည် သင့်လျော်သည့် လမ်းညွှန်ချက်များအား ဤနေရာတွင် စီစဉ်ထားသင့်သည်။ ထိုလမ်းညွှန်ချက်သည် login page ရှိ လမ်းညွှန်ချက်များကဏ္ဍတွင် ဖော်ပြထားမည်ဖြစ်သည်။ လမ်းညွှန်ချက်တွင် သုံးစွဲသူများမှ log in ပြုလုပ်လိုပါက နှိပ်၍ရနိုင်သော "<b>{$a}</b>" အတွက်လင့် ပါရှိရမည်။';
$string['auth_shib_instructions_key'] = 'Login လမ်းညွှန်ချက်များ';
$string['auth_shib_integrated_wayf'] = 'Moodle WAYF ဝန်ဆောင်မှု';
$string['auth_shib_integrated_wayf_description'] = 'သင်သည် ဤသည်ကိုလုပ်ဆောင်ခွင့်ပြုထားပါက Moodle သည် Shibboleth အတွက် တည်ဆောက်ပြီးသားကို အသုံးပြုမည့်အစား ကိုယ်ပိုင် WAYF ဝန်ဆောင်မှုအား အသုံးပြုမည်ဖြစ်သည်။ Moodle သည် ဤ Alternative login page တွင် သုံးစွဲသူမှ သူ၏ Identity Provider အား ရွေးချယ်မှုအတွက် drop-down စာရင်းကို ဖော်ပြသွားမည်ဖြစ်သည်။';
$string['auth_shib_logout_return_url'] = 'Althernative logout return URL';
$string['auth_shib_logout_return_url_description'] = 'Shibboleth သုံးစွဲသူများ log out လုပ်ပြီးသောအခါ ပြန်လည်လမ်းညွှန်ရမည့် URL ကိုဖြည့်စွက်ပါ။ <br /> အကယ်၍ မဖြည့်ပဲ အလွတ်ထားခဲ့ပါက သုံးစွဲသူများသည် Moodle မှ လမ်းညွှန်သည့် တည်နေရာသို့ရောက်ရှိပါမည်';
$string['auth_shib_logout_url'] = 'Shibboleth Service Provider logout handler URL';
$string['auth_shib_logout_url_description'] = 'Shibboleth Service Provider logout handler သို့ URL ကိုဖြည့်စွက်ပါ။ဤသည်မှာ ပုံမှန်အားဖြင့် <tt>/Shibboleth.sso/Logout</tt> ဖြစ်သည်';
$string['auth_shib_no_organizations_warning'] = 'Integrated WAYF service ကို အသုံးပြုလိုပါက Identity Provider entityIDs  စာရင်း၊ ၎င်းတို့၏ အမည်များနှင့် ထည့်သွင်းလိုပါက session initiator တို့အား ပုဒ်ကလေးဖြင့် ခြား၍ ဖြည့်စွက်ရပါမည်။';
$string['auth_shib_only'] = 'Shibboleth သီးသန့်';
$string['auth_shib_only_description'] = 'Shibboleth authentication သက်ရောက်မှုရှိစေရန်အလို့ငှာ ဤအချက်ကို ရွေးချယ်ရန်';
$string['auth_shib_username_description'] = 'Moodle username အဖြစ်အသုံးပြုသင့်သည့် webserver Shibboleth environment variable ၏အမည်';
$string['auth_shibboleth_errormsg'] = 'သင်အဖွဲ့ဝင်ဖြစ်နေသော အဖွဲ့အစည်းအား ကျေးဇူးပြု၍ ရွေးချယ်ပါ။';
$string['auth_shibboleth_login'] = 'Shibboleth login';
$string['auth_shibboleth_login_long'] = 'Moodle သို့ Shibboleth မှတဆင့် Login လုပ်ခြင်း';
$string['auth_shibboleth_manual_login'] = 'Manual login';
$string['auth_shibboleth_select_member'] = 'ကျွန်တော်/ကျွန်မသည် ... ၏ အဖွဲ့ဝင်';
$string['auth_shibboleth_select_organization'] = 'Shibboleth မှတဆင့် မှန်ကန်ကြောင်း စစ်ဆေးရန်၊ ကျေးဇူးပြု၍ drop-down menu တွင် သင့်အဖွဲ့အစည်းအား ရွေးချယ်ပေးပါရန်';
$string['auth_shibbolethdescription'] = 'Shibboleth ဖြင့် သုံးစွဲသူများ ဖန်တီးခြင်းနှင့် မှန်ကန်ကြောင်း စစ်ဆေးခြင်းကို ဤနည်းလမ်းကို အသုံးပြု၍ ပြုလုပ်နိုင်သည်။ ထည့်သွင်းရန် အသေးစိတ်အချက်အလက်များအတွက် <a href="{$a}">Shibboleth README</a> အား ကြည့်ပါ။';
$string['pluginname'] = 'Shibboleth';
$string['privacy:metadata'] = 'Shibboleth authentication plugin သည်  မည်သည့် ကိုယ်ရေးကိုယ်တာ အချက်အလက်များအား သိမ်းဆည်းထားခြင်းမရှိပါ။';
$string['shib_invalid_account_error'] = 'သင်သည် Shibboleth မှ  မှန်ကန်ကြောင်း စစ်ဆေးပြီးသည်ဟု သတ်မှတ်နိုင်သော်လည်း
Moodle တွင် သင့် username အတွက် အသုံးပြု၍ရသော account မရှိပါ။ သင့် account သည် မရှိခြင်း သို့မဟုတ် ခေတ္တဆိုင်းငံ့ခံထားရခြင်း ဖြစ်နိုင်ပါသည်။';
$string['shib_no_attributes_error'] = 'သင်သည် Shibboleth မှ မှန်ကန်ကြောင်း စစ်ဆေးပြီးသည်ဟု သတ်မှတ်နိုင်သော်လည်း Moodle မှ မည်သည့် သုံးစွဲသူ attributes မှ လက်ခံရရှိခြင်းမရှိပါ။ Moodle မှ အသုံးပြုလျက်ရှိသော Service Provider ထံ လိုအပ်သည့် attributes များအား သင်၏ Identity Provider မှ ထုတ်ပေးထားခြင်း ရှိမရှိ သို့မဟုတ် ဤ server ရှိ webmaster အား အကြောင်းကြားထားခြင်း ရှိမရှိ ကျေးဇူးပြု၍ စစ်ဆေးပါ။';
$string['shib_not_all_attributes_error'] = 'သင့်အခြေအနေတွင် Moodle မှ လိုအပ်သည့် တိကျသေချာသော Shibboleth attributes မရှိပါ။ ထို attributes များမှာ {$a}<br />ဤ server ရှိ webmaster သို့မဟုတ် သင်၏ Identity Provider အား ကျေးဇူးပြု၍ ဆက်သွယ်ပါ။';
$string['shib_not_set_up_error'] = 'Shibboleth authentication သည် မှန်ကန်စွာ ထည့်သွင်းထားခြင်း မရှိသည်ဟု ထင်ရပါသည်။ အဘယ်ကြောင့်ဆိုသော် ဤ page တွင် Shibboleth environment variables မရှိပါ။ Shibboleth authentication အား မည်ကဲ့သို့ ထည့်သွင်းရမည်ကို  နောက်တိုးညွှန်ကြားချက်များအတွက် <a href="{$a}">README</a>  သို့ ကျေးဇူးပြု၍ ဆွေးနွေးတိုင်ပင်ပါ သို့မဟုတ် ဤ Moodle ထည့်သွင်းခြင်းအတွက် webmaster အား ဆက်သွယ်ပါ။';
